import request from '@/utils/request';

/*
 * 分页查询
 */
export const getSysMenu = (params) => request('/sysMenu', { params });

/*
 * 新增数据
 */
export const postSysMenu = (data) => request('/sysMenu', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getSysMenuById = (id) => request(`/sysMenu/${id}`);

/*
 * 更新数据
 */
export const putSysMenu = (id, data) => request(`/sysMenu/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteSysMenu = (id) => request(`/sysMenu/${id}`, { method: 'delete' });
