import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaProjectList = (params) => request('/taProject', { params });

/*
 * 依据ID查询
 */
export const getTaProjectById = (id) => request(`/taProject/${id}`);

/*
 * 新增数据
 */
export const postTaProject = (data) => request('/taProject', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaProject = (id, data) => request(`/taProject/${id}`, { data, method: 'put' });

/*
 * 删除数据
 */
export const deleteTaProject = (id) => request(`/taProject/${id}`, { method: 'delete' });
