import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaProjectReportList = (params) => request('/taProjectReport', { params });

/*
 * 依据ID查询
 */
export const getTaProjectReportById = (id) => request(`/taProjectReport/${id}`);

/*
 * 新增数据
 */
export const postTaProjectReport = (data) => request('/taProjectReport', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaProjectReport = (id, data) => request(`/taProjectReport/${id}`, { data, method: 'put' });

/*
 * 删除数据
 */
export const deleteTaProjectReport = (id) => request(`/taProjectReport/${id}`, { method: 'delete' });
