import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTdLineList = (params) => request('/tdLine', { params });

/*
 * 依据ID查询
 */
export const getTdLineById = (id) => request(`/tdLine/${id}`);

/*
 * 新增数据
 */
export const postTdLine = (data) => request('/tdLine', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTdLine = (id, data) => request(`/tdLine/${id}`, { data, method: 'put' });

/*
 * 删除数据
 */
export const deleteTdLine = (id) => request(`/tdLine/${id}`, { method: 'delete' });
