import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTdSceneMgtList = (params) => request('/tdSceneMgt', { params });

/*
 * 依据ID查询
 */
export const getTdSceneMgtById = (id) => request(`/tdSceneMgt/${id}`);

/*
 * 新增数据
 */
export const postTdSceneMgt = (data) => request('/tdSceneMgt', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTdSceneMgt = (id, data) => request(`/tdSceneMgt/${id}`, { data, method: 'put' });

/*
 * 删除数据
 */
export const deleteTdSceneMgt = (id) => request(`/tdSceneMgt/${id}`, { method: 'delete' });
