import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTdTemplateList = (params) => request('/tdTemplate', { params });

/*
 * 依据ID查询
 */
export const getTdTemplateById = (id) => request(`/tdTemplate/${id}`);

/*
 * 新增数据
 */
export const postTdTemplate = (data) => request('/tdTemplate', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTdTemplate = (id, data) => request(`/tdTemplate/${id}`, { data, method: 'put' });

/*
 * 删除数据
 */
export const deleteTdTemplate = (id) => request(`/tdTemplate/${id}`, { method: 'delete' });
