import { ModalForm } from "@ant-design/pro-components";
import { Button, Modal } from "antd";
import React from "react";
import  styles from "./index.module.less";
export default (props) => {
  const { title = "提示", open, setOpen, errList } = props;

  const onChang = () => {
    setOpen(false);
  };
  return (
    <Modal
      title={title}
      open={open}
      onCancel={onChang}
      footer={false}
      wrapClassName={styles.modalContainer}
    >
      {(errList || []).map((x, index) => (
          <p key={index}>{x}</p>
      ))}
    </Modal>
  );
};
