import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaAttachList = (params) => request('/taAttach', { params });

/*
 * 依据ID查询
 */
export const getTaAttachById = (id) => request(`/taAttach/${id}`);

/*
 * 新增数据
 */
export const postTaAttach = (data) => request('/taAttach', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaAttach = (id, data) => request(`/taAttach/${id}`, { data, method: 'put' });

/*
 * 删除数据
 */
export const deleteTaAttach = (id) => request(`/taAttach/${id}`, { method: 'delete' });
