import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaNodeList = (params) => request('/taNode', { params });

/*
 * 依据ID查询
 */
export const getTaNodeById = (id) => request(`/taNode/${id}`);

/*
 * 新增数据
 */
export const postTaNode = (data) => request('/taNode', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaNode = (id, data) => request(`/taNode/${id}`, { data, method: 'put' });

/*
 * 删除数据
 */
export const deleteTaNode = (id) => request(`/taNode/${id}`, { method: 'delete' });
