import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaSourceAttachList = (params) => request('/taSourceAttach', { params });

/*
 * 依据ID查询
 */
export const getTaSourceAttachById = (id) => request(`/taSourceAttach/${id}`);

/*
 * 新增数据
 */
export const postTaSourceAttach = (data) => request('/taSourceAttach', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaSourceAttach = (id, data) => request(`/taSourceAttach/${id}`, { data, method: 'put' });

/*
 * 删除数据
 */
export const deleteTaSourceAttach = (id) => request(`/taSourceAttach/${id}`, { method: 'delete' });
