import { create } from "@zjxpcyc/react-tiny-store";

const useSystemModel = create(({ setState }) => {
  const state = {
    hashRoute: true,
    theme: 'light',
    app: {
      fullName: '个金项目管理',
      shorName: '个金项目管理',
      company: ''
    }
  }

  const updateTheme = (theme) => setState(x => ({ ...x, theme }));

  return {
    state,
    actions: { updateTheme },
  };
});

export default useSystemModel;
